aboutsummaryrefslogtreecommitdiffstats
path: root/packaging/macosx/osx-dmg.sh.in
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2019-02-12 13:02:51 -0800
committerGerald Combs <gerald@wireshark.org>2019-02-12 21:04:19 +0000
commit6fef7cdc84db56164c898be3c041da5325d386ec (patch)
treed42b74b5823a735ee2f1cb22f32ca47676a6115d /packaging/macosx/osx-dmg.sh.in
parent4237718ecb313e6ed6bf05347a010c3103b1c864 (diff)
MacOS: Bundle and packaging updates
Update the code signing portions of the packaging scripts to match newer versions of macOS. Change-Id: I5e03611d8db61416955e797edcadfcff1404cc38 Reviewed-on: https://code.wireshark.org/review/31996 Reviewed-by: Gerald Combs <gerald@wireshark.org>
Diffstat (limited to 'packaging/macosx/osx-dmg.sh.in')
-rwxr-xr-xpackaging/macosx/osx-dmg.sh.in5
1 files changed, 4 insertions, 1 deletions
diff --git a/packaging/macosx/osx-dmg.sh.in b/packaging/macosx/osx-dmg.sh.in
index 27559fa530..e4d4101417 100755
--- a/packaging/macosx/osx-dmg.sh.in
+++ b/packaging/macosx/osx-dmg.sh.in
@@ -171,7 +171,10 @@ if [ -n "$CODE_SIGN_IDENTITY" ] ; then
echo -e "Signing $pkg_file"
mv "$pkg_file" "$pkg_file_unsigned" || exit 1
- productsign --sign "Developer ID Installer: $CODE_SIGN_IDENTITY" "$pkg_file_unsigned" "$pkg_file" || exit 1
+ productsign \
+ --sign "Developer ID Installer: $CODE_SIGN_IDENTITY" \
+ --timestamp \
+ "$pkg_file_unsigned" "$pkg_file" || exit 1
spctl --assess --type install "$pkg_file" || exit 1
pkgutil --check-signature "$pkg_file" || exit 1
shasum "$pkg_file"